OpenVDB 7.0.0

Classes | Namespaces | Enumerations | Functions
points/PointAdvect.h File Reference

Ability to advect VDB Points through a velocity field. More...

`#include <openvdb/openvdb.h>`
`#include <openvdb/tools/Prune.h>`
`#include <openvdb/tools/VelocityFields.h>`
`#include <openvdb/points/AttributeGroup.h>`
`#include <openvdb/points/PointDataGrid.h>`
`#include <openvdb/points/PointGroup.h>`
`#include <openvdb/points/PointMove.h>`
`#include <memory>`

Go to the source code of this file.

## Classes
class | AdvectionDeformer< VelGridT, IntegrationOrder, Staggered, FilterT >
struct | AdvectionOp< PointDataGridT, VelGridT, AdvectFilterT, FilterT >

## Namespaces
| openvdb
| openvdb::v7_0
| openvdb::v7_0::points
| openvdb::v7_0::points::point_advect_internal

## Enumerations
enum | IntegrationOrder { INTEGRATION_ORDER_FWD_EULER = 1, INTEGRATION_ORDER_RK_2ND, INTEGRATION_ORDER_RK_3RD, INTEGRATION_ORDER_RK_4TH }

## Functions
template<typename PointDataGridT , typename VelGridT , typename AdvectFilterT = NullFilter, typename FilterT = NullFilter>
void | advectPoints (PointDataGridT &points, const VelGridT &velocity, const Index integrationOrder, const double dt, const Index timeSteps, const AdvectFilterT &advectFilter=NullFilter(), const FilterT &filter=NullFilter(), const bool cached=true)
| Advect points in a PointDataGrid through a velocity grid. More...

## Detailed Description

Ability to advect VDB Points through a velocity field.

Author
  Dan Bailey